Apache JMeter

## org.apache.jmeter.visualizers
Class RespTimeGraphDataBean

    java.lang.Object
      org.apache.jmeter.visualizers.RespTimeGraphDataBean

    public class RespTimeGraphDataBean

extends Object

Constructor Summary
`RespTimeGraphDataBean(long startTime, long time, String samplerLabel)`

Method Summary
`String` `getSamplerLabel()`
`long` `getStartTime()`
`long` `getTime()`
`void` `setSamplerLabel(String samplerLabel)`
`void` `setStartTime(long startTime)`
`void` `setTime(long time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RespTimeGraphDataBean

    public RespTimeGraphDataBean(long startTime,
                                 long time,
                                 String samplerLabel)

Parameters:
  `startTime` -
  `time` -
  `samplerLabel` -

Method Detail

### getStartTime

    public long getStartTime()

  Returns:
    the startTime

### setStartTime

    public void setStartTime(long startTime)

  Parameters:
    `startTime` - the startTime to set

### getTime

    public long getTime()

  Returns:
    the time

### setTime

    public void setTime(long time)

  Parameters:
    `time` - the time to set

### getSamplerLabel

    public String getSamplerLabel()

  Returns:
    the samplerLabel

### setSamplerLabel

    public void setSamplerLabel(String samplerLabel)

  Parameters:
    `samplerLabel` - the samplerLabel to set

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.